Retrieve a session
curl --request GET \
--url https://emereg.com/api/v1/sessions/{browser_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://emereg.com/api/v1/sessions/{browser_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://emereg.com/api/v1/sessions/{browser_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"project_id": 5,
"browser_settings": {
"proxy": {
"country": "sg"
},
"record_live": true,
"live_url": "https://emereg.com/session/inspector.html?wss=browser.emereg.com/devtools/page/7FDF552596C3FCE19FF411F486FDD642"
},
"timeout": 60,
"started_at": "2024-08-14T06:08:12Z",
"ended_at": "2024-08-14T06:08:53Z",
"status": "FINISHED",
"created_at": "2024-08-14T14:08:07.791Z",
"updated_at": "2024-08-14T14:08:53.523Z",
"browser_id": "cbcf1d9b-a157-43c9-99e9-a07506c536a6"
}{
"error": "Not found"
}Sessions Endpoint
session
GET
/
api
/
v1
/
sessions
/
{browser_id}
Retrieve a session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for the browser session.
Response
Successfully retrieved the session details.
ID of the project associated with the session.
Show child attributes
Show child attributes
Timeout duration for the session in seconds.
Timestamp the session was started.
Timestamp the session was ended.
Current status of the session.
Timestamp the session was created.
Timestamp the session was last updated.
Unique identifier for the browser session.